> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cart Address

> Create a single Cart Address.



## OpenAPI

````yaml openapi/ecommerce.yaml post /public/{user_id}/cart/{cart_uuid}/addresses/{customerAddress_id}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/cart/{cart_uuid}/addresses/{customerAddress_id}:
    post:
      tags:
        - Cart
      summary: Create Cart Address
      description: Create a single Cart Address.
      operationId: createCartAddress
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: integer
          example: 16
        - name: cart_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: c103cca0-1c36-3a83-887a-2b4c35736a05
        - name: customerAddress_id
          in: path
          description: The ID of the customerAddress.
          required: true
          schema:
            type: integer
          example: 19
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a13651d1-ae74-40af-a33d-c13a9578f9fb
                      first_name:
                        type: string
                        example: Yolanda
                      last_name:
                        type: string
                        example: Kovacek
                      company_name:
                        type: string
                        example: Erdman and Sons
                      vat_number:
                        type: string
                        example: '71887'
                      vat_validation_status:
                        type: string
                        example: invalid
                      vat_validated_at:
                        type: string
                        example: '2025-01-01T00:00:00Z'
                      line_one:
                        type: string
                        example: 9799 Haley Island
                      line_two:
                        type: string
                        example: 312 Ziemann Terrace
                      line_three:
                        type: string
                        example: 985 Wintheiser Islands
                      city:
                        type: string
                        example: Brantshire
                      province_code:
                        type: string
                        example: MX
                      country_code:
                        type: string
                        example: TD
                      postcode:
                        type: string
                        example: 28755-6540
                      contact_email:
                        type: string
                        example: yreynolds@nitzsche.com
                      contact_phone:
                        type: string
                        example: +1-580-353-5680
                      company_code:
                        type: string
                        example: '11823308'
                example:
                  data:
                    uuid: a13651d1-ae74-40af-a33d-c13a9578f9fb
                    first_name: Yolanda
                    last_name: Kovacek
                    company_name: Erdman and Sons
                    vat_number: '71887'
                    vat_validation_status: invalid
                    vat_validated_at: '2025-01-01T00:00:00Z'
                    line_one: 9799 Haley Island
                    line_two: 312 Ziemann Terrace
                    line_three: 985 Wintheiser Islands
                    city: Brantshire
                    province_code: MX
                    country_code: TD
                    postcode: 28755-6540
                    contact_email: yreynolds@nitzsche.com
                    contact_phone: +1-580-353-5680
                    company_code: '11823308'
              example:
                data:
                  uuid: a13651d1-ae74-40af-a33d-c13a9578f9fb
                  first_name: Yolanda
                  last_name: Kovacek
                  company_name: Erdman and Sons
                  vat_number: '71887'
                  vat_validation_status: invalid
                  vat_validated_at: '2025-01-01T00:00:00.0000000+00:00'
                  line_one: 9799 Haley Island
                  line_two: 312 Ziemann Terrace
                  line_three: 985 Wintheiser Islands
                  city: Brantshire
                  province_code: MX
                  country_code: TD
                  postcode: 28755-6540
                  contact_email: yreynolds@nitzsche.com
                  contact_phone: +1-580-353-5680
                  company_code: '11823308'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````